%bcond_without noexecstack

%lib_package gcrypt 11

Summary: A cryptographic library based on the code from GnuPG
Name: libgcrypt
Version: 1.4.0
Release: 14.99%{?dist}
URL: http://www.gnu.org/directory/security/libgcrypt.html
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++
BuildRequires: libgpg-error-devel >= 1.0
PreReq: /sbin/install-info

%description
This is a general purpose cryptographic library based on the code from
GnuPG. It provides functions for all cryptograhic building blocks:
symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish, Arcfour), hash
algorithms (MD4, MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for
all hash algorithms), public key algorithms (RSA, ElGamal, DSA), large
integer functions, random numbers and a lot of supporting functions.

%devel_extra_Requires libgpg-error-devel >= 0.6

%prep
%setup -q

%build
%ifarch %ix86
CFLAGS="%{optflags} -fomit-frame-pointer"
%endif
%configure %{?_with_noexecstack:--enable-noexecstack} %{!?_with_noexecstack:--disable-asm}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_infodir}/dir
perl -pi -e's,%{buildroot},,g' %{buildroot}%{_libdir}/*.la

cat > develfiles.list << EOF
%defattr(-,root,root,-)
%{_bindir}/libgcrypt-config
EOF

%clean
rm -rf %{buildroot}

%post
infofile=%{_infodir}/gcrypt.info
if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
/sbin/install-info $infofile %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
  infofile=%{_infodir}/gcrypt.info
  if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
  /sbin/install-info --del $infofile %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc README* NEWS
%{_infodir}/*
%{_bindir}/dumpsexp

%changelog
* Sat Jan 12 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.4.0-15
- Update to 1.4.0.

* Fri Feb  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.4-14
- Update to 1.2.4.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.3-13
- Update to 1.2.3.

* Mon Jul  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Reenable asm and use --noexecstack.

* Fri Jun 30 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Disable asm to avoid execstack review.

* Thu Oct  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.2.

* Sun Jan 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Sat Apr 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.
- Remove secmem patch (applied upstream).

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.94.

* Sun Mar  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.12.

* Fri Jan 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
